--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Like #index_all but returns an array of Ranges."
- !ruby/struct:SM::Flow::VERB 
  body: "  &quot;abc123abc123&quot;.range_all('abc')  #=&gt; [0..2, 6..8]\n\n  TODO: Add offset, perhaps ?\n"
- !ruby/struct:SM::Flow::P 
  body: "CREDIT: Trans"
full_name: String#range_all
is_singleton: false
name: range_all
params: (s, reuse=false)
visibility: public
